Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics
Class MetricsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.hadoop.metrics.MetricsException

All Implemented Interfaces:
  Serializable

Deprecated. in favor of `MetricsException`.

    @Deprecated
    @InterfaceAudience.LimitedPrivate(value={"HDFS","MapReduce"})
    @InterfaceStability.Evolving
    public class MetricsException

extends RuntimeException

General-purpose, unchecked metrics exception.

See Also:
  Serialized Form

Constructor Summary
`MetricsException()` Deprecated. Creates a new instance of MetricsException
`MetricsException(String message)` Deprecated. Creates a new instance of MetricsException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricsException

    public MetricsException()

  Deprecated.
  Creates a new instance of MetricsException

### MetricsException

    public MetricsException(String message)

  Deprecated.
  Creates a new instance of MetricsException

  Parameters:
    `message` - an error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation